# Custom delay (delay\_ms)

Every transaction is temporarily held during this window to search for profitable arbitrage opportunities:

* If no arbitrage is found, the transaction is released to the leader as a single standalone transaction.
* If an opportunity is found, the transaction is included in an atomic bundle together with the arbitrage leg.

For specific use cases, some users may prefer different behavior:

* **Higher delay (e.g. 100 ms)** — maximizes the probability of discovering and landing arbitrage atomically.
* **Lower delay (e.g. 0 ms)** — minimizes latency but significantly decreases the chances of landing arbitrage atomically.

Kolibrio supports this via a custom query parameter.

```
delay_ms=50
```

#### Example

```
https://fra-sol-rpc.kolibr.io/?api_key=YOUR_API_KEY
&rev_recv=REVENUE_SHARE_ADDRESS
&tx_broadcast_mode=public
&delay_ms=75
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kolibrio.xyz/kolibrio-orderflow-service/solana/advanced/custom-delay-delay_ms.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
